cURL
curl --request GET \
--url https://api.truecall.com/checkimport requests
url = "https://api.truecall.com/check"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.truecall.com/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tc_req_id": "bnqtkot35h9bxgqi8ymva70x1easzqb7l7lt",
"tc_status": "success",
"tc_insights": {
"source_url": "<string>",
"ip": [
"<string>"
],
"city": "<string>",
"country": "<string>",
"country_iso": "<string>",
"timezone": 123,
"platform": "<string>",
"user_agent": "<string>",
"browser_name": "<string>",
"created_at": 123
}
}Buyer endpoints
Check
Runs a partial check on the TrueCall ID, verifying only that it exists, matches whitelisting and time window settings.
This does not verify if the phone number matches the TrueCall ID and does not store the TrueCall ID.
Typically used on PING.
GET
/
check
cURL
Query Parameters
Campaign's API key
TrueCall session ID
Session data to include in the response.
Available options are:
source_url | ip | city | country | country_iso | timezone | platform | user_agent | browser_name | created_at_ts | created_at_iso
Those can be combined to get specifically what's needed:
insights=source_url,city,country,created_at_iso
